-- $Header:   //ARCHIVE/Archive/DB/sql/MissingLOBLinkLog.sqv   1.0   Mar 07 2001 12:00:56   BRENT  $
--
-- MissingLOBLinkLog.sql
--

USE Object
GO


---------------------------------------------------------------------------------------------------
-- MissingLOBLinkLog
-- Used to store results of the asisp_repair_missing_lob_link stored procedure.
IF NOT EXISTS (SELECT * FROM sysobjects WHERE name = 'MissingLOBLinkLog' AND type = 'U')
BEGIN
  PRINT 'Creating table MissingLOBLinkLog'
  EXEC("
  CREATE TABLE MissingLOBLinkLog
  (
    starttime     DATETIME NOT NULL DEFAULT CURRENT_TIMESTAMP,  -- start time of procedure
    endtime       DATETIME NULL DEFAULT NULL,                   -- end time of procedure
    num_repairs   INT NULL DEFAULT NULL                         -- number of LOBs repaired
  )
  ALTER TABLE MissingLOBLinkLog ADD CONSTRAINT MissingLOBLinkLog_PK PRIMARY KEY (starttime)
  ")
END
GO
