-- $Header:   //ARCHIVE/Archive/DB/SQL/MissingLOBLinkLogDetail.sqv   1.1   Mar 07 2001 12:05:00   BRENT  $
--
-- MissingLOBLinkLogDetail.sql
--

USE Object
GO


---------------------------------------------------------------------------------------------------
-- MissingLOBLinkLogDetail
-- Used to store results of the asisp_repair_missing_lob_link stored procedure.
IF NOT EXISTS (SELECT * FROM sysobjects WHERE name = 'MissingLOBLinkLogDetail' AND type = 'U')
BEGIN
  PRINT 'Creating table MissingLOBLinkLogDetail'
  EXEC("
  CREATE TABLE MissingLOBLinkLogDetail
  (
    starttime     DATETIME NOT NULL,
    lob_id        ObjID NOT NULL,
    phy_cid       ClassID NOT NULL,
    phy_id        ObjID NOT NULL,
    link_ctime    DATETIME NOT NULL
  )
  ALTER TABLE MissingLOBLinkLogDetail ADD 
    CONSTRAINT MLLLD_starttime_FK FOREIGN KEY (starttime) REFERENCES MissingLOBLinkLog (starttime)
  ALTER TABLE MissingLOBLinkLogDetail ADD
    CONSTRAINT MissingLOBLinkLogDetail_PK PRIMARY KEY (starttime, lob_id)
  ")
END
GO
