-- $Header:   //ARCHIVE/Archive_NLS/DB/SQL/DEFECT_75806.sqv   1.0   May 14 2001 11:58:06   BRENT  $
--
-- DEFECT_75806
--
-- Module Description
--   Fixes defect 75806: DFAC2236 TRAN event can block event processing


USE Object
GO

UPDATE SJMessageMap SET 
  SearchExpression = 'TRANSACTION  *\([^ ][^ ]*\) ABEND  *\([^ ][^ ]*\) * IN PROGRAM  *\([^ ][^ ]*\)  *TERM  *\([^ ][^ ]*\)'
WHERE
  MsgID = 'DFHAC2236'
  AND SearchExpression <> 'TRANSACTION  *\([^ ][^ ]*\) ABEND  *\([^ ][^ ]*\) * IN PROGRAM  *\([^ ][^ ]*\)  *TERM  *\([^ ][^ ]*\)'
GO
